> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spade.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all user-level counterparty category personalizations

> Fetch user-level counterparty category personalizations from Spade's database.

This endpoint returns a list containing all user-level counterparty category personalizations for the user with the given `userId`.

To learn more about user category personalization, please read the [User Category Personalization Guide](https://docs.spade.com/reference/user-category-personalization-guide).



## OpenAPI

````yaml /api-reference/spec.yml get /users/{userId}/counterparty-category-personalizations
openapi: 3.1.0
info:
  title: Spade API
  description: >-
    Documentation for Spade's card transaction enrichment API and related
    endpoints. We offer sandbox and production environments on both the east
    coast and west coast to enable ultra low latency enrichment for realtime
    applications. Each environment requires different API keys. To inquire about
    API keys, please contact your Spade representative or reach out to
    <hello@spade.com>.
  version: 2.7.3
servers:
  - url: https://east.sandbox.spade.com
    description: East coast sandbox environment
  - url: https://east.api.spade.com
    description: East coast production environment
  - url: https://west.sandbox.spade.com
    description: West coast sandbox environment
  - url: https://west.api.spade.com
    description: West coast production environment
  - url: https://sandbox.v2.spadeapi.com
    description: East coast sandbox environment (deprecated)
  - url: https://v2.spadeapi.com
    description: East coast production environment (deprecated)
  - url: https://sandbox.west.v2.spadeapi.com
    description: West coast sandbox environment (deprecated)
  - url: https://west.v2.spadeapi.com
    description: West coast production environment (deprecated)
security:
  - ApiKeyAuth: []
tags:
  - name: Card Enrichment
    description: Enrich card transactions
  - name: Transfer Enrichment
    description: Enrich transfers
  - name: Category Personalization
    description: Create custom categories and personalize enrichments
  - name: Feedback and Reporting
    description: Provide feedback on card events or report enrichment errors
  - name: Merchant Search
    description: Search for Spade merchants
  - name: Merchant Action Triggers
    description: >-
      Register merchant action triggers and receive triggered actions in
      enrichment responses
  - name: Category Action Triggers
    description: >-
      Register category action triggers and receive triggered actions in
      enrichment responses
paths:
  /users/{userId}/counterparty-category-personalizations:
    parameters:
      - in: path
        name: userId
        schema:
          type: string
        description: The `userId` of the relevant user.
        required: true
    get:
      tags:
        - Category Personalization
      summary: Get all user-level counterparty category personalizations
      description: >-
        Fetch user-level counterparty category personalizations from Spade's
        database.


        This endpoint returns a list containing all user-level counterparty
        category personalizations for the user with the given `userId`.


        To learn more about user category personalization, please read the [User
        Category Personalization
        Guide](https://docs.spade.com/reference/user-category-personalization-guide).
      operationId: userCounterpartyCategoryPersonalizationsGet
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                description: An array of counterparty category personalizations.
                items:
                  allOf:
                    - $ref: '#/components/schemas/CounterpartyCategoryPersonalization'
                    - type: object
                      description: The newly created counterparty category personalization.
                      properties:
                        userId:
                          type: string
                          description: >-
                            The ID of the newly created counterparty category
                            personalization.
                          examples:
                            - user1234
        '403':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    CounterpartyCategoryPersonalization:
      type: object
      description: Schema for creating a counterparty category personalization.
      required:
        - counterpartyId
        - categoryId
      properties:
        counterpartyId:
          type: string
          description: The ID of the counterparty.
          examples:
            - d730906b-f1a8-49f1-9939-f27390170a6d
        categoryId:
          type: string
          description: >-
            The ID of the category. Can be a Spade category ID (e.g.
            "011-000-000-000") or a custom category ID (e.g.
            "e4cf5379-583f-44ed-b625-366044e666e6").
          examples:
            - 011-000-000-000
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              details:
                type: string
                examples:
                  - Incorrect authentication credentials.
    InternalServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            type: object
            properties:
              details:
                type: string
                examples:
                  - Internal server error.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-Api-Key
      in: header

````